Will ezwinports 32 bit DLLs work with 64 bit emacs?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Will ezwinports 32 bit DLLs work with 64 bit emacs?

Steinar Bang
I have just installed emacs 25.2 64bit on a 64 bit windows 10 laptop.

Will the DLLs from ezwinports (specifically gnutls and libxml2) work
with a 64 bit emacs?

Would it be better (ie. will the ezwinports DLLs work better) if I use
the 686 version of emacs?

Thanks!


- Steinar

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Will ezwinports 32 bit DLLs work with 64 bit emacs?

Eli Zaretskii
> From: Steinar Bang <[hidden email]>
> Date: Wed, 26 Jul 2017 08:45:29 +0200
>
> I have just installed emacs 25.2 64bit on a 64 bit windows 10 laptop.
>
> Will the DLLs from ezwinports (specifically gnutls and libxml2) work
> with a 64 bit emacs?

No, of course not.  You cannot use 32-bit DLLs with 64-bit executables
(and vice versa).

> Would it be better (ie. will the ezwinports DLLs work better) if I use
> the 686 version of emacs?

It will be "better" in the sense that those DLLs will then work for
you ;-)

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Will ezwinports 32 bit DLLs work with 64 bit emacs?

Steinar Bang
>>>>> Eli Zaretskii <[hidden email]>:

> No, of course not.  You cannot use 32-bit DLLs with 64-bit executables
> (and vice versa).

Ok, thanks!

> It will be "better" in the sense that those DLLs will then work for
> you ;-)

Well, there doesn't seem to be any similar collection to ezwinports of
64 bit versions of the essential DLLs for emacs, so this may be the only
way to go.

Thanks again!

Loading...